View Issue Details

IDProjectCategoryView StatusLast Update
0008484LazarusLCLpublic2012-03-13 08:10
ReporterJesus ReyesAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.21 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.31 (SVN) 
Summary0008484: Actions doesn't propagate icons to SpeedButtons or BitBtns in some situations for example if ImageList is in a TDataModule
DescriptionSetting an action on a TSpeedButton or BitBtn change their icon to the icon set in the action if the action has an imageindex from a imagelist (?). This doesn't work always in all situations.

*Assigning an action without image to a button with prevously assigned icon doesn't remove the image.
*if Imagelist is in a datamodule and was assigned at runtime to ActionList, images are not shown in buttons.
Additional Information(see attached project)
TagsNo tags attached.
Fixed in Revision35916
LazTarget1.0
WidgetsetGTK
Attached Files

Relationships

related to 0018848 resolvedJuha Manninen IDE Removes ImageLists 
related to 0021927 new issue TActionList 

Activities

2007-03-08 23:30

 

dmimglist.tar.gz (5,664 bytes)

Jesus Reyes

2007-03-08 23:31

developer   ~0011767

will take a look on this, initially set target to 1.0

2007-04-02 20:44

 

imglistdatamodule.tar.gz (27,345 bytes)

Zeljan Rikalo

2012-02-04 12:43

developer   ~0056365

@Jesus, feel free to fix or postpone to 1.2

Zeljan Rikalo

2012-02-11 20:12

developer   ~0056765

@Jesus, please give feedback over this or postpone.

Paul Ishenin

2012-03-13 08:10

manager   ~0057550

Probably fixed in the mean time. There was a condition which did not allow to update an action if it was already assigned - I removed it. So maybe r35916 fixes the issue for you.

Please test and close if ok.

Issue History

Date Modified Username Field Change
2007-03-08 23:30 Jesus Reyes New Issue
2007-03-08 23:30 Jesus Reyes File Added: dmimglist.tar.gz
2007-03-08 23:30 Jesus Reyes LazTarget => -
2007-03-08 23:30 Jesus Reyes Widgetset => GTK
2007-03-08 23:30 Jesus Reyes Status new => assigned
2007-03-08 23:30 Jesus Reyes Assigned To => Jesus Reyes
2007-03-08 23:31 Jesus Reyes LazTarget - => 1.0
2007-03-08 23:31 Jesus Reyes Note Added: 0011767
2007-04-02 20:44 Jesus Reyes File Added: imglistdatamodule.tar.gz
2008-04-24 09:57 Vincent Snijders Target Version => 1.0.0
2010-07-19 21:23 Jesus Reyes Assigned To Jesus Reyes =>
2012-02-04 12:42 Zeljan Rikalo Assigned To => Jesus Reyes
2012-02-04 12:43 Zeljan Rikalo Note Added: 0056365
2012-02-11 20:12 Zeljan Rikalo Note Added: 0056765
2012-02-11 20:12 Zeljan Rikalo Status assigned => feedback
2012-02-12 14:29 Juha Manninen Relationship added related to 0018848
2012-03-13 08:10 Paul Ishenin Fixed in Revision => 35916
2012-03-13 08:10 Paul Ishenin Status feedback => resolved
2012-03-13 08:10 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2012-03-13 08:10 Paul Ishenin Resolution open => fixed
2012-03-13 08:10 Paul Ishenin Note Added: 0057550
2012-05-19 12:11 Juha Manninen Relationship added related to 0021927